Package Gnumed :: Package business :: Module gmPathLab :: Class cTestPanel |
[frames] | no frames]

# Class cTestPanel

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cTestPanel

Represents a grouping/listing of tests into a panel.

Instance Methods
format(self) | source code
add_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
remove_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
get_test_types_for_results(self, pk_patient, order_by=None, unique_meta_types=False) Retrieve data about test types on this panel (for which this patient has results). | source code
add_loinc(self, loinc) | source code
remove_loinc(self, loinc) | source code
get_most_recent_results(self, pk_patient=None, order_by=None, group_by_meta_type=False, include_missing=False) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| included_loincs = `property(_get_included_loincs, _set_included`...``
| test_types = `property(_get_test_types, lambda x: x)`
| generic_codes = `property(_get_generic_codes, _set_generic_codes)`

Properties
Inherited from `object`: `__class__`

Method Details

### format(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Class Variable Details

  ### included_loincs Value:
      property(_get_included_loincs, _set_included_loincs)